commit:     d34b01010374995605ea3cc1e2e3518712fe5d8c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 28 16:11:38 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Dec 28 16:15:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d34b0101

xfce-extra/xfce4-sensors-plugin: Bump to 1.3.95

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-sensors-plugin/Manifest           |  1 +
 .../xfce4-sensors-plugin-1.3.95.ebuild             | 65 ++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/xfce-extra/xfce4-sensors-plugin/Manifest 
b/xfce-extra/xfce4-sensors-plugin/Manifest
index d90833e2d1f..9c40b4e516e 100644
--- a/xfce-extra/xfce4-sensors-plugin/Manifest
+++ b/xfce-extra/xfce4-sensors-plugin/Manifest
@@ -1,2 +1,3 @@
 DIST xfce4-sensors-plugin-1.3.0.tar.bz2 466468 BLAKE2B 
52eadaec22980105fcf4c4e5efb4621b0966e86520e7ded90a1514f7925d76232278ec105785409dbe13f5ab4019363b47b63b5df642319a924fe5a8882b847c
 SHA512 
77f6df354c883f9f0b99856738e0976e7bddd5f16c90a8715777c4f4d6debe116cdc21c2e0efbbe9f371d36f9469797d3e631854c33f8561e3ff32291cdef35a
 DIST xfce4-sensors-plugin-1.3.92.tar.bz2 477837 BLAKE2B 
e5399a3052b124c5391209c6ca6bc849467e09be3dac6b7a7d1c946f800e22dcfe84d245b6236cb56cdcea756c98d9bb70c1c945b597f13e49ff18455f4f4715
 SHA512 
a5b7d90683c993205323084431606cc6d13de88989e3636fba5c06bfa7ef52fbe6285e3bd7f8eb70683541b5c42727c8fbe7bf80e8832bcfb378de0e6d7d7b37
+DIST xfce4-sensors-plugin-1.3.95.tar.bz2 486771 BLAKE2B 
130b38d30bcbb2e08ca167846f32ebc7e60ea2cd855ae0bcbcf82e8a73c9cdf04cd91da5c5e8e1a73c79b0d36e00366a37fa04cb40abc477df70dd2ee77d866f
 SHA512 
265dec06bcd7a609b992e70273e8b11fdbaec41b0eb4dcb1b390e315b924743b3833b65fe2d237bb0b457e61943b97c065b34138216b171d111f5e923602642b

diff --git a/xfce-extra/xfce4-sensors-plugin/xfce4-sensors-plugin-1.3.95.ebuild 
b/xfce-extra/xfce4-sensors-plugin/xfce4-sensors-plugin-1.3.95.ebuild
new file mode 100644
index 00000000000..f81448d69e6
--- /dev/null
+++ b/xfce-extra/xfce4-sensors-plugin/xfce4-sensors-plugin-1.3.95.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome2-utils
+
+DESCRIPTION="A panel plug-in for acpi, lm-sensors and hddtemp sensors"
+HOMEPAGE="https://goodies.xfce.org/projects/panel-plugins/xfce4-sensors-plugin";
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="+acpi hddtemp libnotify lm-sensors video_cards_nvidia"
+
+REQUIRED_USE="|| ( hddtemp lm-sensors acpi )"
+
+RDEPEND=">=x11-libs/gtk+-3.20:3=
+       >=xfce-base/libxfce4ui-4.12:=[gtk3(+)]
+       >=xfce-base/xfce4-panel-4.12:=
+       hddtemp? (
+               app-admin/hddtemp
+               || (
+                       net-analyzer/openbsd-netcat
+                       net-analyzer/netcat
+               )
+       )
+       libnotify? ( >=x11-libs/libnotify-0.7:= )
+       lm-sensors? ( >=sys-apps/lm-sensors-3.1.0:= )
+       video_cards_nvidia? ( x11-drivers/nvidia-drivers[tools,static-libs] )"
+DEPEND=${RDEPEND}
+
+BDEPEND="
+       dev-util/intltool
+       virtual/pkgconfig"
+
+src_configure() {
+       local myconf=(
+               --libexecdir="${EPREFIX}"/usr/$(get_libdir)
+               $(use_enable lm-sensors libsensors)
+               $(use_enable hddtemp)
+               $(use_enable hddtemp netcat)
+               $(use_enable acpi procacpi)
+               $(use_enable acpi sysfsacpi)
+               $(use_enable video_cards_nvidia xnvctrl)
+               $(use_enable libnotify notification)
+               --disable-pathchecks
+       )
+
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to